<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepci',

    /*
     * Package.
     */
    'package'   => 'probation',

    /*
     * Modules.
     */
    'modules'   => ['probation'],

    
    'probation'       => [
        'model' => [
            'model'                 => \Litepci\Probation\Models\Probation::class,
            'table'                 => 'probations',
            'presenter'             => \Litepci\Probation\Repositories\Presenter\ProbationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'supervisor_id',  'ph_id',  'first_review_real_date',  'first_review_date',  'first_review_status',  'part_one_a',  'part_one_b',  'part_one_c',  'part_one_d',  'second_review_real_date',  'second_review_date',  'second_review_status',  'part_two_a',  'part_two_b',  'part_two_c',  'part_two_d',  'third_review_real_date',  'third_review_date',  'third_review_status',  'part_three_a',  'part_three_b',  'part_three_c',  'part_three_d',  'quality_check_user',  'quality_check_head',  'objectives_met',  'prob_completed',  'performance_summary',  'comments',  'prob_completion_date',  'prob_period',  'extend_period',  'employment_status',  'new_designation',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'probation/probation',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepci',
            'package'   => 'Probation',
            'module'    => 'Probation',
        ],

    ],
];
