<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateProbationsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: probations
         */
        Schema::create('probations', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->integer('supervisor_id')->nullable();
            $table->integer('ph_id')->nullable();
            $table->date('first_review_real_date')->nullable();
            $table->date('first_review_date')->nullable();
            $table->string('first_review_status', 50)->nullable();
            $table->text('part_one_a')->nullable();
            $table->text('part_one_b')->nullable();
            $table->text('part_one_c')->nullable();
            $table->text('part_one_d')->nullable();
            $table->date('second_review_real_date')->nullable();
            $table->date('second_review_date')->nullable();
            $table->string('second_review_status', 50)->nullable();
            $table->text('part_two_a')->nullable();
            $table->text('part_two_b')->nullable();
            $table->text('part_two_c')->nullable();
            $table->text('part_two_d')->nullable();
            $table->date('third_review_real_date')->nullable();
            $table->date('third_review_date')->nullable();
            $table->string('third_review_status', 50)->nullable();
            $table->text('part_three_a')->nullable();
            $table->text('part_three_b')->nullable();
            $table->text('part_three_c')->nullable();
            $table->text('part_three_d')->nullable();
            $table->text('quality_check_user')->nullable();
            $table->text('quality_check_head')->nullable();
            $table->integer('objectives_met')->nullable();
            $table->integer('prob_completed')->nullable();
            $table->integer('performance_summary')->nullable();
            $table->integer('comments')->nullable();
            $table->integer('prob_completion_date')->nullable();
            $table->integer('prob_period')->nullable();
            $table->integer('extend_period')->nullable();
            $table->string('employment_status', 50)->nullable();
            $table->string('new_designation', 255)->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('probations');
    }
}
