# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/litepci/probation/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/litepci/probation/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Litepci\\Probation\\": "packages/litepci/probation/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Litepci\Probation\Providers\ProbationServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Probation'  => Litepci\Probation\Facades\Probation::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Litepci\\ProbationTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Probation\Providers\ProbationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Probation\Providers\ProbationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Probation\Providers\ProbationServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/probation/{modulename}

**User**

    http://path-to-route-folder/user/probation/{modulename}

**Public**

    http://path-to-route-folder/probations


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/probation/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/probation/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/probation/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/probation/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/probation/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/probation/{modulename}/{slug}
    METHOD: GET