<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('probation::probation.name') !!} <small> {!! trans('app.manage') !!} {!! trans('probation::probation.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('probation::probation.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='probation-probation-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('probation/probation')!!}">{!! trans('probation::probation.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('probation/probation?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('probation/probation?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('probation/probation/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('probation::admin.probation.partial.actions')
                    -->
                    @include('probation::admin.probation.partial.filter')
                    @include('probation::admin.probation.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="probation-probation-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="probation-probation-check-all"></th>
                        <th data-field="supervisor_id">{!! trans('probation::probation.label.supervisor_id')!!}</th>
                    <th data-field="ph_id">{!! trans('probation::probation.label.ph_id')!!}</th>
                    <th data-field="first_review_real_date">{!! trans('probation::probation.label.first_review_real_date')!!}</th>
                    <th data-field="first_review_date">{!! trans('probation::probation.label.first_review_date')!!}</th>
                    <th data-field="first_review_status">{!! trans('probation::probation.label.first_review_status')!!}</th>
                    <th data-field="part_one_a">{!! trans('probation::probation.label.part_one_a')!!}</th>
                    <th data-field="part_one_b">{!! trans('probation::probation.label.part_one_b')!!}</th>
                    <th data-field="part_one_c">{!! trans('probation::probation.label.part_one_c')!!}</th>
                    <th data-field="part_one_d">{!! trans('probation::probation.label.part_one_d')!!}</th>
                    <th data-field="second_review_real_date">{!! trans('probation::probation.label.second_review_real_date')!!}</th>
                    <th data-field="second_review_date">{!! trans('probation::probation.label.second_review_date')!!}</th>
                    <th data-field="second_review_status">{!! trans('probation::probation.label.second_review_status')!!}</th>
                    <th data-field="part_two_a">{!! trans('probation::probation.label.part_two_a')!!}</th>
                    <th data-field="part_two_b">{!! trans('probation::probation.label.part_two_b')!!}</th>
                    <th data-field="part_two_c">{!! trans('probation::probation.label.part_two_c')!!}</th>
                    <th data-field="part_two_d">{!! trans('probation::probation.label.part_two_d')!!}</th>
                    <th data-field="third_review_real_date">{!! trans('probation::probation.label.third_review_real_date')!!}</th>
                    <th data-field="third_review_date">{!! trans('probation::probation.label.third_review_date')!!}</th>
                    <th data-field="third_review_status">{!! trans('probation::probation.label.third_review_status')!!}</th>
                    <th data-field="part_three_a">{!! trans('probation::probation.label.part_three_a')!!}</th>
                    <th data-field="part_three_b">{!! trans('probation::probation.label.part_three_b')!!}</th>
                    <th data-field="part_three_c">{!! trans('probation::probation.label.part_three_c')!!}</th>
                    <th data-field="part_three_d">{!! trans('probation::probation.label.part_three_d')!!}</th>
                    <th data-field="quality_check_user">{!! trans('probation::probation.label.quality_check_user')!!}</th>
                    <th data-field="quality_check_head">{!! trans('probation::probation.label.quality_check_head')!!}</th>
                    <th data-field="objectives_met">{!! trans('probation::probation.label.objectives_met')!!}</th>
                    <th data-field="prob_completed">{!! trans('probation::probation.label.prob_completed')!!}</th>
                    <th data-field="performance_summary">{!! trans('probation::probation.label.performance_summary')!!}</th>
                    <th data-field="comments">{!! trans('probation::probation.label.comments')!!}</th>
                    <th data-field="prob_completion_date">{!! trans('probation::probation.label.prob_completion_date')!!}</th>
                    <th data-field="prob_period">{!! trans('probation::probation.label.prob_period')!!}</th>
                    <th data-field="extend_period">{!! trans('probation::probation.label.extend_period')!!}</th>
                    <th data-field="employment_status">{!! trans('probation::probation.label.employment_status')!!}</th>
                    <th data-field="new_designation">{!! trans('probation::probation.label.new_designation')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#probation-probation-entry', '{!!guard_url('probation/probation/0')!!}');
    oTable = $('#probation-probation-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('probation/probation') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'supervisor_id'},
            {data :'ph_id'},
            {data :'first_review_real_date'},
            {data :'first_review_date'},
            {data :'first_review_status'},
            {data :'part_one_a'},
            {data :'part_one_b'},
            {data :'part_one_c'},
            {data :'part_one_d'},
            {data :'second_review_real_date'},
            {data :'second_review_date'},
            {data :'second_review_status'},
            {data :'part_two_a'},
            {data :'part_two_b'},
            {data :'part_two_c'},
            {data :'part_two_d'},
            {data :'third_review_real_date'},
            {data :'third_review_date'},
            {data :'third_review_status'},
            {data :'part_three_a'},
            {data :'part_three_b'},
            {data :'part_three_c'},
            {data :'part_three_d'},
            {data :'quality_check_user'},
            {data :'quality_check_head'},
            {data :'objectives_met'},
            {data :'prob_completed'},
            {data :'performance_summary'},
            {data :'comments'},
            {data :'prob_completion_date'},
            {data :'prob_period'},
            {data :'extend_period'},
            {data :'employment_status'},
            {data :'new_designation'},
        ],
        "pageLength": 25
    });

    $('#probation-probation-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#probation-probation-list').DataTable().row( this ).data();
        $('#probation-probation-entry').load('{!!guard_url('probation/probation')!!}' + '/' + d.id);
    });

    $('#probation-probation-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#probation-probation-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#probation-probation-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#probation-probation-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>