<?php

// API routes  for probation
Route::prefix('{guard}/probation')->group(function () {
    Route::get('probation/form/{element}', 'ProbationAPIController@form');
    Route::resource('probation', 'ProbationAPIController');
});

// Public routes for probation
Route::get('probations/', 'ProbationPublicController@index');
Route::get('probations/{slug?}', 'ProbationPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for probations
            Route::prefix('{guard}/probation')->group(function () {
                Route::get('probation/form/{element}', 'ProbationAPIController@form');
                Route::apiResource('probation', 'ProbationAPIController');
            });
            // Public routes for probations
            Route::get('probation/Probation', 'ProbationPublicController@getProbation');
        }
    );
}

