<?php

// web routes  for probation
Route::prefix('{guard}/probation')->group(function () {
    Route::resource('probation', 'ProbationResourceController');
});

// Public routes for probation
Route::get('probations/', 'ProbationPublicController@index');
Route::get('probations/{slug?}', 'ProbationPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ProbationResourceController');
            });
            // Public routes for pages
            Route::get('probations/', 'ProbationPublicController@index');
            Route::get('probations/{slug?}', 'ProbationPublicController@show');
        }
    );
}

