<?php

namespace Litepci\Probation\Forms;

class Probation
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'supervisor_id' => [
                    "type" => 'numeric',
                    "label" => trans('probation::probation.label.supervisor_id'),
                    "placeholder" => trans('probation::probation.placeholder.supervisor_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ph_id' => [
                    "type" => 'numeric',
                    "label" => trans('probation::probation.label.ph_id'),
                    "placeholder" => trans('probation::probation.placeholder.ph_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'first_review_real_date' => [
                    "type" => 'date_picker',
                    "label" => trans('probation::probation.label.first_review_real_date'),
                    "placeholder" => trans('probation::probation.placeholder.first_review_real_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'first_review_date' => [
                    "type" => 'date_picker',
                    "label" => trans('probation::probation.label.first_review_date'),
                    "placeholder" => trans('probation::probation.placeholder.first_review_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'first_review_status' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.first_review_status'),
                    "placeholder" => trans('probation::probation.placeholder.first_review_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_one_a' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_one_a'),
                    "placeholder" => trans('probation::probation.placeholder.part_one_a'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_one_b' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_one_b'),
                    "placeholder" => trans('probation::probation.placeholder.part_one_b'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_one_c' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_one_c'),
                    "placeholder" => trans('probation::probation.placeholder.part_one_c'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_one_d' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_one_d'),
                    "placeholder" => trans('probation::probation.placeholder.part_one_d'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'second_review_real_date' => [
                    "type" => 'date_picker',
                    "label" => trans('probation::probation.label.second_review_real_date'),
                    "placeholder" => trans('probation::probation.placeholder.second_review_real_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'second_review_date' => [
                    "type" => 'date_picker',
                    "label" => trans('probation::probation.label.second_review_date'),
                    "placeholder" => trans('probation::probation.placeholder.second_review_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'second_review_status' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.second_review_status'),
                    "placeholder" => trans('probation::probation.placeholder.second_review_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_two_a' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_two_a'),
                    "placeholder" => trans('probation::probation.placeholder.part_two_a'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_two_b' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_two_b'),
                    "placeholder" => trans('probation::probation.placeholder.part_two_b'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_two_c' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_two_c'),
                    "placeholder" => trans('probation::probation.placeholder.part_two_c'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_two_d' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_two_d'),
                    "placeholder" => trans('probation::probation.placeholder.part_two_d'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'third_review_real_date' => [
                    "type" => 'date_picker',
                    "label" => trans('probation::probation.label.third_review_real_date'),
                    "placeholder" => trans('probation::probation.placeholder.third_review_real_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'third_review_date' => [
                    "type" => 'date_picker',
                    "label" => trans('probation::probation.label.third_review_date'),
                    "placeholder" => trans('probation::probation.placeholder.third_review_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'third_review_status' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.third_review_status'),
                    "placeholder" => trans('probation::probation.placeholder.third_review_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_three_a' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_three_a'),
                    "placeholder" => trans('probation::probation.placeholder.part_three_a'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_three_b' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_three_b'),
                    "placeholder" => trans('probation::probation.placeholder.part_three_b'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_three_c' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_three_c'),
                    "placeholder" => trans('probation::probation.placeholder.part_three_c'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'part_three_d' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.part_three_d'),
                    "placeholder" => trans('probation::probation.placeholder.part_three_d'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'quality_check_user' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.quality_check_user'),
                    "placeholder" => trans('probation::probation.placeholder.quality_check_user'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'quality_check_head' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.quality_check_head'),
                    "placeholder" => trans('probation::probation.placeholder.quality_check_head'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'objectives_met' => [
                    "type" => 'numeric',
                    "label" => trans('probation::probation.label.objectives_met'),
                    "placeholder" => trans('probation::probation.placeholder.objectives_met'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'prob_completed' => [
                    "type" => 'numeric',
                    "label" => trans('probation::probation.label.prob_completed'),
                    "placeholder" => trans('probation::probation.placeholder.prob_completed'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'performance_summary' => [
                    "type" => 'numeric',
                    "label" => trans('probation::probation.label.performance_summary'),
                    "placeholder" => trans('probation::probation.placeholder.performance_summary'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'comments' => [
                    "type" => 'numeric',
                    "label" => trans('probation::probation.label.comments'),
                    "placeholder" => trans('probation::probation.placeholder.comments'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'prob_completion_date' => [
                    "type" => 'numeric',
                    "label" => trans('probation::probation.label.prob_completion_date'),
                    "placeholder" => trans('probation::probation.placeholder.prob_completion_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'prob_period' => [
                    "type" => 'numeric',
                    "label" => trans('probation::probation.label.prob_period'),
                    "placeholder" => trans('probation::probation.placeholder.prob_period'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'extend_period' => [
                    "type" => 'numeric',
                    "label" => trans('probation::probation.label.extend_period'),
                    "placeholder" => trans('probation::probation.placeholder.extend_period'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'employment_status' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.employment_status'),
                    "placeholder" => trans('probation::probation.placeholder.employment_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'new_designation' => [
                    "type" => 'text',
                    "label" => trans('probation::probation.label.new_designation'),
                    "placeholder" => trans('probation::probation.placeholder.new_designation'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
