<?php

namespace Litepci\Probation;

use User;

class Probation
{
    /**
     * $probation object.
     */
    protected $probation;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Probation\Interfaces\ProbationRepositoryInterface $probation)
    {
        $this->probation = $probation;
    }

    /**
     * Returns count of probation.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.probation.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->probation->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\ProbationUserCriteria());
        }

        $probation = $this->probation->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('probation::' . $view, compact('probation'))->render();
    }
}
