<?php

namespace Litepci\Probation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProbationTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Probation\Models\Probation $probation)
    {
        return [
            'id'                => $probation->getRouteKey(),
            'key'               => [
                'public'    => $probation->getPublicKey(),
                'route'     => $probation->getRouteKey(),
            ], 
            'user_id'           => $probation->user_id,
            'supervisor_id'     => $probation->supervisor_id,
            'ph_id'             => $probation->ph_id,
            'first_review_real_date' => $probation->first_review_real_date,
            'first_review_date' => $probation->first_review_date,
            'first_review_status' => $probation->first_review_status,
            'part_one_a'        => $probation->part_one_a,
            'part_one_b'        => $probation->part_one_b,
            'part_one_c'        => $probation->part_one_c,
            'part_one_d'        => $probation->part_one_d,
            'second_review_real_date' => $probation->second_review_real_date,
            'second_review_date' => $probation->second_review_date,
            'second_review_status' => $probation->second_review_status,
            'part_two_a'        => $probation->part_two_a,
            'part_two_b'        => $probation->part_two_b,
            'part_two_c'        => $probation->part_two_c,
            'part_two_d'        => $probation->part_two_d,
            'third_review_real_date' => $probation->third_review_real_date,
            'third_review_date' => $probation->third_review_date,
            'third_review_status' => $probation->third_review_status,
            'part_three_a'      => $probation->part_three_a,
            'part_three_b'      => $probation->part_three_b,
            'part_three_c'      => $probation->part_three_c,
            'part_three_d'      => $probation->part_three_d,
            'quality_check_user' => $probation->quality_check_user,
            'quality_check_head' => $probation->quality_check_head,
            'objectives_met'    => $probation->objectives_met,
            'prob_completed'    => $probation->prob_completed,
            'performance_summary' => $probation->performance_summary,
            'comments'          => $probation->comments,
            'prob_completion_date' => $probation->prob_completion_date,
            'prob_period'       => $probation->prob_period,
            'extend_period'     => $probation->extend_period,
            'employment_status' => $probation->employment_status,
            'new_designation'   => $probation->new_designation,
            'user_type'         => $probation->user_type,
            'deleted_at'        => $probation->deleted_at,
            'url'               => [
                'public'    => trans_url('probation/'.$probation->getPublicKey()),
                'user'      => guard_url('probation/probation/'.$probation->getRouteKey()),
            ], 
            'status'            => trans('app.'.$probation->status),
            'created_at'        => format_date($probation->created_at),
            'updated_at'        => format_date($probation->updated_at),
        ];
    }
}